Find the answer to your Linux question:
Results 1 to 6 of 6
I have been trying for weeks to get the drivers working for my video card, having to settle with a generic VESA driver. Ati's website released drivers about 10 days ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Aug 2003
    Posts
    82

    I finally got Ati Radeon 9800 pro to work: for reference:


    I have been trying for weeks to get the drivers working for my video card, having to settle with a generic VESA driver.

    Ati's website released drivers about 10 days ago for the Radeon 9800 pro (and many others) for Linux.

    You have to know what version of XFree86 you have, updating if needed.

    I dowloaded the RPM they had and followed the instructions carefully.

    A message popped up saying I had to compile a kernel module, but nicely enough it walked me through that as well.

    I ran fglrxconfig, and lo and behold it freekin worked.

    Just wanted to make it known there are NEW drivers for 9800 series etc that work!

  2. #2
    Linux Guru
    Join Date
    Oct 2001
    Location
    Täby, Sweden
    Posts
    7,578
    Have you tried them with any 3D application?

  3. #3
    Just Joined!
    Join Date
    Aug 2003
    Posts
    82
    A few. Admittedly I do not have very many for Linux, but the few 3d games my distro came packaged with work fine, and the 3D screensavers work well also.

  4. #4
    Linux Engineer
    Join Date
    Dec 2002
    Location
    New Zealand
    Posts
    766
    well its closer to workign thatn anythign else ive tried. it actually detects my kt400 but for some reason it detects it as agp2 and so cant get sizes etc and goes *crash* . im pretty sure 8x is only availible in agp3 right? so is there a way to force agp3 detection? (its a 128mb radeon 9200)

  5. #5
    Just Joined!
    Join Date
    Aug 2003
    Posts
    82
    The short answer to your question is: Don't know

    The longer answer: When does it crash? When it loads startx or with 3d apps?

    I did see a similar statement to yours on other boards that indicated agp3 (for 8x as far as I understand it) would not run with some ATI linux drivers. However, there are NEW drivers available (dated 9/04/03) -- these are the ones that I got working. Did you get the right package for the right xfree86 version?

    For reference, I am running a agp 8x capable mobo and card, and it seems to work here

  6. #6
    Linux Engineer
    Join Date
    Dec 2002
    Location
    New Zealand
    Posts
    766
    i got the xfree 4.3 package - coz i have xf 4.3.0. it doesnt fall over as such, it jsut doesnt do dri, thn when i check dmesg it says stuff about Detected apollo pro (kt400) runnign in agpv2 mode
    unable to detect aperture size then i reverts back to indirect rendering

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •